<div class="row my-3">
  <div class="col-md-4 mb-3">
    <div class="card" id="organisationGroupCard">
      <div class="card-heading">
        <h5>Gruppen</h5>
      </div>
      <div class="card-body">
        <form novalidate #f="ngForm">
          <div class="form-group">
            <div class="input-group">
              <input class="form-control"
                     type="text" name="addOrganizationGroup"
                     id="addOrganizationGroup" placeholder="z.B. Vorstand"
                     [(ngModel)]="newOrganizationGroup.name"
                     #addOrganizationGroup="ngModel"
                     required>
              <div class="input-group-append">
                <button class="btn btn-success" type="button" (click)="createOrganizationGroup()">
                  <i class="fas fa-plus"></i>
                </button>
              </div>
            </div>
            <app-show-form-errors [control]="addOrganizationGroup"></app-show-form-errors>
          </div>
        </form>
        <table class="table" *ngIf="organizationGroups">
          <tbody>
          <tr *ngFor="let organizationGroup of organizationGroups">
            <td>
              <div class="input-group input-group-sm">
                <input type="text" class="form-control" [(ngModel)]="organizationGroup.name" (blur)="updateOrganizationGroup(organizationGroup)">
                <div class="input-group-append">
                  <button class="btn btn-outline-danger" (click)="removeOrganizationGroup(organizationGroup)"><i class="fas fa-trash"></i> </button>
                </div>
              </div>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <div class="col-md-8">
    <div class="card">
      <div class="card-heading">
        <h5>Benutzer</h5>
      </div>
      <div class="card-body">
        <table class="table table-sm table-striped table-responsive-sm">
          <thead>
            <tr>
              <th></th>
              <th *ngFor="let organizationGroup of organizationGroups">
                {{organizationGroup.name}}
              </th>
            </tr>
          </thead>
          <tbody>
          <tr *ngFor="let organizationGroupUser of organizationGroupUsers">
            <td>
              <span class="d-none d-sm-inline-block pl-1">{{organizationGroupUser.firstName}}</span>
              <span class="d-sm-none pl-1">{{organizationGroupUser.firstName.slice(0, 1)}}.</span>
              {{organizationGroupUser.lastName}}
            </td>
            <td *ngFor="let organizationGroup of organizationGroups">
              <input type="checkbox"
                     [checked]="isUserInOrganizationGroup(organizationGroupUser.organizationGroups, organizationGroup)"
                     (change)="changeUserOrganizationGroup(organizationGroupUser, organizationGroup)">
            </td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>


